<script lang="ts">
  import Dot from "./Dot.svg.svelte";
  import { EArea } from "../enums/EArea";
  import { areaStore } from '../stores';

  let area: EArea;

  areaStore.subscribe(value => area = value);
</script>

<section class="p-16 sm:p-20 lg:p-24 xl:p-28 2xl:p-32 space-y-10 sm:space-y-16 lg:space-y-20 xl:space-y-24 2xl:space-y-32">
  <h1 class="duration-200 text-xl sm:text-2xl lg:text-3xl xl:text-4xl 2xl:text-5xl font-extrabold text-center">
    О нас
    <span class="inline-block"><Dot {area}/></span>
  </h1>
  <article class="text-sm sm:text-base lg:text-lg xl:text-xl 2xl:text-2xl space-y-8 text-justify">
    <p>Мы являемся молодой и динамично развивающейся компанией, которая занимается разработкой программного обеспечения с открытым исходным кодом.
      Наша основная цель - продвижение собственной экосистемы и технологий на рынке, а не получение максимальной прибыли.</p>
    <p>Мы уверены, что открытый код - это будущее программирования. Мы нацелены на создание высококачественных решений, которые доступны каждому пользователю.
      Мы стремимся к тому, чтобы наши проекты были удобны в использовании и максимально открыты для внесения изменений.</p>
    <p>Кроме того, мы постоянно стремимся к улучшению своих продуктов и услуг. Мы придерживаемся принципа прозрачности и доступности,
      что позволяет нашим пользователям лучше понимать, как работает программное обеспечение, и вносить свои изменения при необходимости.
      Мы также предоставляем документацию и поддержку по нашим продуктам.</p>
    <p>Наша команда разработчиков и специалистов готова к сотрудничеству и открыта к общению с сообществом.
      Мы гордимся нашей работой и уверены, что наши проекты окажут положительное влияние на мир.</p>
  </article>
</section>